import { useImperativeHandle, useRef } from 'react';
/**
 * хук позволяет использовать опциональный реф пришедший сверху, т.к. ForwardedRef может являться колбэком, это может подходить не для всех компонентов, яркий пример MaskField
 */
export const useForwardedRef = (forwardedRef) => {
    const localRef = useRef(null);
    useImperativeHandle(forwardedRef, () => localRef.current, [forwardedRef]);
    return localRef;
};
